libstdc++: std::greater< void > Struct Reference

libstdc++

std::greater< void > Struct Reference
Utilities » Function Objects » Comparison Classes

`#include <stl_function.h>`

Inheritance diagram for std::greater< void >:
[legend]

## Public Types
typedef void | first_argument_type
typedef __is_transparent | is_transparent
typedef bool | result_type
typedef void | second_argument_type

## Public Member Functions
template<typename _Tp, typename _Up>
constexpr auto | operator() (_Tp &&__t, _Up &&__u) const noexcept(noexcept(std::forward< _Tp >(__t) > std::forward< _Up >(__u))) -> decltype(std::forward< _Tp >(__t) > std::forward< _Up >(__u))
template<typename _Tp, typename _Up>
constexpr bool | operator() (_Tp *__t, _Up *__u) const noexcept

## Detailed Description

One of the comparison functors.

Definition at line 523 of file stl_function.h.

## Member Typedef Documentation

## ◆ first_argument_type

typedef void std::binary_function< void, void, bool >::first_argument_type

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ is_transparent

typedef __is_transparent std::greater< void >::is_transparent

Definition at line 547 of file stl_function.h.

## ◆ result_type

typedef bool std::binary_function< void, void, bool >::result_type

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ second_argument_type

typedef void std::binary_function< void, void, bool >::second_argument_type

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename _Tp, typename _Up>

auto std::greater< void >::operator() | ( | _Tp && | __t,
|  | _Up && | __u ) const -> decltype(std::forward< _Tp >(__t) > std::forward< _Up >(__u))
| inlineconstexprnoexcept

Definition at line 527 of file stl_function.h.

## ◆ operator()() [2/2]

template<typename _Tp, typename _Up>

bool std::greater< void >::operator() | ( | _Tp * | __t,
|  | _Up * | __u ) const
| inlineconstexprnoexcept

Definition at line 544 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h